<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Online_News
 */

get_header(); ?>
		
	<?php 
        $layout_class ='col-9';
        $sidebar_layout = online_news_get_option('layout_options'); 

        if( is_active_sidebar('sidebar-1') && 'no-sidebar' !==  $sidebar_layout){
            $layout_class = 'col-9';
        }
        else{
            $layout_class = 'col-12';
        }       
    ?>
   <div id="primary" class="content-area <?php echo esc_attr($layout_class);?> sidebar-layout">
		<main id="main" class="site-main" role="main">
            <section class="news-listing">
				<?php
				if ( have_posts() ) :
					$i = 0;
					if ( is_home() && ! is_front_page() ) : ?>
						<header>
							<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
						</header>

					<?php
					endif;

					/* Start the Loop */
					while ( have_posts() ) : the_post();
                        if($i%2==0):
                            echo '<div class="row">';
                        endif;

						/*
						 * Include the Post-Format-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'template-parts/content', get_post_format() );

                        $i++;
                        if($i%2==0):
                            echo '</div>';
                        endif;

					endwhile;

				    $pagination_option =online_news_get_option('pagination_option');  
			        if('default' == $pagination_option){
			            the_posts_navigation();
			        }
			        else{
			            the_posts_pagination( array(
			                'mid_size' => 2,
			                'prev_text' => esc_html__( '<<', 'online-news' ),
			                'next_text' => esc_html__( '>>', 'online-news' ),
			            ) );
			        }

				else :

					get_template_part( 'template-parts/content', 'none' );

				endif; ?>
		</section>
		</main>
	</div>
	


<?php
do_action( 'online_news_action_sidebar' );
get_footer();
